<?php

include_once $_SERVER['DOCUMENT_ROOT'].'./DIGITAL OUTLET 2007/'.'class/dbm/package.dbm.php';

class usuario extends dbObject{
	var $id_interno;
	var $tarea;
	
	function usuario(){
		parent::dbObject('usuarios');
	}
}

/*
 class tareas extends objectCollection{
	
	function tareas(){
		parent::objectCollection('tareas');
	}
	
	function getAll(){
		$this->setCriteriaStatement('');
		$this->fetchRows();
	}
	
	function getReds(){
		$this->setCriteriaStatement(', estados WHERE tareas.id_estado = estados.id_estado AND estados.color = "RED"');
		$this->fetchRows();
	}
	
	function getGreens(){
		$this->setCriteriaStatement(', estados WHERE tareas.id_estado = estados.id_estado AND estados.color = "GREEN"');
		$this->fetchRows();
	}
}
*/
class estado extends dbObject{
	
	function estado(){
		parent::dbObject('estados');
	}
	
}



//Test del AutoInc: OK
$t = new usuario;
$t->id_interno = 1;
$t->retrieve();
$t->tarea = "PRobar el autoinc";
$t->id_tarea = null;
echo $t->store()?'Ok':'Error';
echo "<pre>";
print_r($t);  


?> 
